import path_setting
from in_common.base_request import BaseRequest


class gmai_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.GMAI_SKIN_NEWREPORT_CONFIG)

    # 测颜值结果页
    def skin_newReport(self,version,image_url):
        self.params["version"] = version
        self.params["image_url"] = image_url

        return self.api_send(self.data["skin_newReport"])

    # 模拟双眼皮
    def eyelids_plastic(self,version,image_url,style_id):
        self.params["version"] = version
        self.params["image_url"] = image_url
        self.params["style_id"] = style_id

        return self.api_send(self.data["eyelids_plastic"])



# if __name__ == '__main__':
#     # print(gmai_request().skin_newReport("7.43.0","https://pic.igengmei.com/2021/05/11/1440/25e4bf45673f-s"))
#     # print(gmai_request().eyelids_plastic("7.43.0", "2021/05/12/1457/cdbe8652117d","3"))
